models/Usuarios.php
<?php

namespace app\models;

use Yii;
use yii\base\Model;

class Usuarios extends Model {
    public $nombre;
    public $apellidos;
    public $edad;
    public $email;
    
    public function rules() {
        
        return [
            [['nombre','edad','email'], 'required'],
            ['email','email']
        ];
    }
    
    public function attributeLabels() {
        
        return [
            'nombre' => 'Nombre de usuario',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Usuarios;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    
    public function actionPrueba() {
        $datos= "<script>alert('1');</script>";
        
        return $this->render("prueba",[
            "datos" => $datos,
        ]);
    }
    
    public function actionFormulario() {
        if($datos=Yii::$app->request->post()){
            return $this->render("prueba",[
                "datos"=> $datos["usuario"]
            ]);
        }else{
            return $this->render("formulario");
        }
    }
    
    public function actionUsuarios() {
        
        $model = new Usuarios();
        if($model->load(Yii::$app->request->post())){
            return $this->render('mostrarUsuarios', ['model' => $model]);
        }else{
            return $this->render('formularioUsuarios', ['model' => $model]);
        }
    }
    
    public function actionFormulariogii()
    {
        $model = new \app\models\Usuarios();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                // form inputs are valid, do something here
                return;
            }
        }

        return $this->render('formularioGii', [
            'model' => $model,
        ]);
    }
}

views/layouts/main.php
<?php

/** @var yii\web\View $this */
/** @var string $content */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap4\Breadcrumbs;
use yii\bootstrap4\Html;
use yii\bootstrap4\Nav;
use yii\bootstrap4\NavBar;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body class="d-flex flex-column h-100">
<?php $this->beginBody() ?>

<header>
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar navbar-expand-md navbar-dark bg-dark fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Formulario', 'url' => ['/site/formulario']],
            ['label' => 'Usuarios', 'url' => ['/site/usuarios']],
            ['label' => 'Formulario con Gii', 'url' => ['/site/formulariogii']],
        ],
    ]);
    NavBar::end();
    ?>
</header>

<main role="main" class="flex-shrink-0">
    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</main>

<footer class="footer mt-auto py-3 text-muted">
    <div class="container">
        <p class="float-left">Curso de Desarrollo</p>
        <p class="float-right">Alpe Formacion</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/error.php
<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        Ups........
    </p>
    <p>
        Hay un problema
    </p>

</div>

views/site/formulario.php
<?php
use yii\helpers\Html;

echo Html::beginForm(['site/formulario'], 'post');
echo Html::beginTag('div', ['class' => 'form-group']);
echo Html::label('Nombre', 'iusuario', ['class' => 'control-label']);
echo Html::input('text', 'usuario','',['id'=> 'iusuario','class' => 'form-control']);
echo Html::endTag('div');
echo Html::submitButton('Enviar', ['class' => 'btn btn-info']);
echo Html::endForm();

views/site/formulario1.php
<?php
use yii\helpers\Url;

?>

<form method="post" action="<?= Url::to(['site/formulario']) ?>">
    <div class="form-group">
        <label for="iusuario">Nombre</label>
        <input type="text" class="form-control" id="iusuario" name="usuario" />
    </div>
    <button class="btn btn-info">Enviar</button>
</form>

views/site/formularioGii.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Usuarios */
/* @var $form ActiveForm */
?>
<div class="site-formularioGii">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'nombre') ?>
        <?= $form->field($model, 'edad') ?>
        <?= $form->field($model, 'email') ?>
    
        <div class="form-group">
            <?= Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-formularioGii -->

views/site/formularioUsuarios.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
?>

<?php $form = ActiveForm::begin();  ?>

<?= $form->field($model, 'nombre')  ?>

<?= $form->field($model, 'apellidos') ?>

<?= $form->field($model, 'email') ?>

<?= $form->field($model, 'edad') ?>

<div class="form-group">
    <?=    Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
</div>

<?php ActiveForm::end(); ?>

views/site/index.php
<?php

views/site/mostrarUsuarios.php
<?php

use yii\helpers\Html;
?>

<p>Has introducido la siguiente informacion</p>

<ul>
    <li><label>Nombre</label>: <?= Html::encode($model->nombre) ?></li>
    <li><label>Apellidos</label><?= Html::encode($model->apellidos) ?></li>
    <li><label>Edad</label><?= Html::encode($model->edad) ?></li>
    <li><label>Email</label><?= Html::encode($model->email) ?></li>
</ul>

views/site/prueba.php
<?php

// echo $datos;

echo yii\helpers\Html::encode($datos);